/ lang / comp
Comp
Syntax

    iResult = Comp ( String1 AS String , String2 AS String [ , Mode AS Integer ] ) AS Integer

Compares two strings, and returns:

- `0` if the two strings are equal.
- `1` if String1 is strictly greater than String2.
- `-1` if String1 is strictly lower than String2.

The Mode parameter can be:

- gb.Binary for a binary comparison. This is the default.
- gb.Text for a case unsensitive comparison.

| Don't forget that this function only deals with ASCII.

### See also

String Functions